PHP Manual
Prev |  | Next

# ftp_nlist

(PHP 3 >= 3.0.13, PHP 4, PHP 5)

ftp_nlist -- Returns a list of files in the given directory

## Description

array ftp_nlist ( resource ftp_stream, string directory )

## Parameters

ftp_stream

  The link identifier of the FTP connection.

directory

  The directory to be listed. This parameter can also include arguments, eg. ftp_nlist($conn_id, "-la /your/dir"); Note that this parameter isn't escaped so there may be some issues with filenames containing spaces and other characters.

## Return Values

Returns an array of filenames from the specified directory on success or `FALSE` on error.

## Examples

Example 1. ftp_nlist() example
`<?php // set up basic connection $conn_id = ftp_connect($ftp_server); // login with username and password $login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass); // get contents of the current directory $contents = ftp_nlist($conn_id, "."); // output $contents var_dump($contents); ?>`
The above example will output something similar to:
    array(3) {
      [0]=>
      string(11) "public_html"
      [1]=>
      string(10) "public_ftp"
      [2]=>
      string(3) "www"

## See Also

ftp_rawlist()

Prev | Home | Next
ftp_nb_put | Up | ftp_pasv